package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-07
 */
@ApiModel("首页点播数据统计")
public class HomeMusicSheetVo {

    @ApiModelProperty("乐谱总数")
    private Integer musicSheetCount;

    @ApiModelProperty("平台乐谱")
    private Integer musicSheetTeacherCount;

    @ApiModelProperty("老师上传")
    private Integer musicSheetPlatformCount;

    @ApiModelProperty("集合")
    private List<MusicSheetSmall> musicSheetSmallList;

    public static class MusicSheetSmall{

        @ApiModelProperty("曲目编号")
        private Long  musicSheetId;

        @ApiModelProperty("曲目名称")
        private String musicSheetName;

        @ApiModelProperty("付费人数")
        private Integer num;


        public Long getMusicSheetId() {
            return musicSheetId;
        }

        public void setMusicSheetId(Long musicSheetId) {
            this.musicSheetId = musicSheetId;
        }

        public String getMusicSheetName() {
            return musicSheetName;
        }

        public void setMusicSheetName(String musicSheetName) {
            this.musicSheetName = musicSheetName;
        }

        public Integer getNum() {
            return num;
        }

        public void setNum(Integer num) {
            this.num = num;
        }
    }

    public Integer getMusicSheetCount() {
        return musicSheetCount;
    }

    public void setMusicSheetCount(Integer musicSheetCount) {
        this.musicSheetCount = musicSheetCount;
    }

    public Integer getMusicSheetTeacherCount() {
        return musicSheetTeacherCount;
    }

    public void setMusicSheetTeacherCount(Integer musicSheetTeacherCount) {
        this.musicSheetTeacherCount = musicSheetTeacherCount;
    }

    public Integer getMusicSheetPlatformCount() {
        return musicSheetPlatformCount;
    }

    public void setMusicSheetPlatformCount(Integer musicSheetPlatformCount) {
        this.musicSheetPlatformCount = musicSheetPlatformCount;
    }

    public List<MusicSheetSmall> getMusicSheetSmallList() {
        return musicSheetSmallList;
    }

    public void setMusicSheetSmallList(List<MusicSheetSmall> musicSheetSmallList) {
        this.musicSheetSmallList = musicSheetSmallList;
    }
}
